package com.cpms.project.process.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.cpms.common.annotation.Excel;
import com.cpms.common.core.domain.BaseEntity;

/**
 * 阀门常开/常关状态记录对象 t_valve_nonc
 * 
 * @author admin
 * @date 2024-04-11
 */
public class TValveNonc extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 阀门标签号 */
    @Excel(name = "阀门标签号")
    private String vtNo;

    /** 图纸管线号 */
    @Excel(name = "图纸管线号")
    private String pidNo;

    /** 位置 */
    @Excel(name = "位置")
    private String locationAt;

    /** 介质 */
    @Excel(name = "介质")
    private String medium;

    /** 阀门类型 */
    @Excel(name = "阀门类型")
    private String valveType;

    /** 阀门尺寸 */
    @Excel(name = "阀门尺寸")
    private String valveSize;

    /** 负责人 */
    @Excel(name = "负责人")
    private String responsibility;

    /** PID图纸状态 */
    @Excel(name = "PID图纸状态")
    private String pidStatus;

    /** 风险等级 */
    @Excel(name = "风险等级")
    private String riskLevel;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标识 */
    private Integer delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建日期 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updaterCode;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setVtNo(String vtNo) 
    {
        this.vtNo = vtNo;
    }

    public String getVtNo() 
    {
        return vtNo;
    }
    public void setPidNo(String pidNo) 
    {
        this.pidNo = pidNo;
    }

    public String getPidNo() 
    {
        return pidNo;
    }
    public void setLocationAt(String locationAt) 
    {
        this.locationAt = locationAt;
    }

    public String getLocationAt() 
    {
        return locationAt;
    }
    public void setMedium(String medium) 
    {
        this.medium = medium;
    }

    public String getMedium() 
    {
        return medium;
    }
    public void setValveType(String valveType) 
    {
        this.valveType = valveType;
    }

    public String getValveType() 
    {
        return valveType;
    }
    public void setValveSize(String valveSize) 
    {
        this.valveSize = valveSize;
    }

    public String getValveSize() 
    {
        return valveSize;
    }
    public void setResponsibility(String responsibility) 
    {
        this.responsibility = responsibility;
    }

    public String getResponsibility() 
    {
        return responsibility;
    }
    public void setPidStatus(String pidStatus) 
    {
        this.pidStatus = pidStatus;
    }

    public String getPidStatus() 
    {
        return pidStatus;
    }
    public void setRiskLevel(String riskLevel) 
    {
        this.riskLevel = riskLevel;
    }

    public String getRiskLevel() 
    {
        return riskLevel;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode) 
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode() 
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate) 
    {
        this.createdate = createdate;
    }

    public Date getCreatedate() 
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode) 
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode() 
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate) 
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() 
    {
        return updatedate;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("vtNo", getVtNo())
            .append("pidNo", getPidNo())
            .append("locationAt", getLocationAt())
            .append("medium", getMedium())
            .append("valveType", getValveType())
            .append("valveSize", getValveSize())
            .append("responsibility", getResponsibility())
            .append("pidStatus", getPidStatus())
            .append("riskLevel", getRiskLevel())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .toString();
    }
}
